﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using Hardanger.Features;
using System.Collections.ObjectModel;
using Hardanger.Features.ServerFuzzer;

namespace Hardanger.Features.ServerFuzzer.DetectionEngine
{
    public interface IDetectionEngine
    {
        string Name { get; } //Name of the Detection Engine
        string ToString(); //Returns the name to be displayed in the DetectionEngine dropdown list
        bool ProcessResponse(TCPWebResponse httpResponse); //Function to process the response
    }
}
