﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fiddler;
using Hardanger.Model;

namespace Hardanger.Controller
{
	partial class HardangerCore
	{
		/*
		The IHandleExecAction Interface
		Extensions that implement the IHandleExecAction interface are called when the user has entered a command into the QuickExec box.  If your extension would like to react to the command (and prevent further processing by other extensions and Fiddler itself) return true from this method.

		public interface IHandleExecAction
		{
		  // return TRUE if handled. 
		  bool OnExecAction(string sCommand); 
		}

		Note that the Fiddler.Utilities class includes a helper function which you may find useful when interpreting the sCommand parameter.

		[CodeDescription("Tokenize a string into tokens. Delimits on whitespace; Quotation marks are dropped unless preceded by a \ character.")] 
		public static string[] Parameterize(string sCommand)

		*/

		bool IHandleExecAction.OnExecAction(string sCommand)
		{
			if (sCommand.StartsWith("swfuzz"))
			{
                throw new NotImplementedException();
				//return true;
			}
			return false;
		}
	}
}
